Skip to content
Get Started

Opt out a contact

POST/api/v2/contacts/opt-out

Opt a contact out (or back in) from receiving messages. When a recipient is opted out, outbound messages to that number will be blocked.

Pass opted_out: false to opt a contact back in.

Body ParametersJSONExpand Collapse
number: string

Phone number in E.164 format

opted_out: optional boolean

Set to false to opt the contact back in (defaults to true)

ReturnsExpand Collapse
number: optional string

The normalized phone number

opted_out: optional boolean

The current opt-out status

status: optional string

Opt out a contact

curl https://api.sendblue.co/api/v2/contacts/opt-out \
    -H 'Content-Type: application/json' \
    -H "sb-api-key-id: $SENDBLUE_API_API_KEY" \
    -H "sb-api-secret-key: $SENDBLUE_API_API_SECRET" \
    -d '{
          "number": "+14155551234"
        }'
{
  "number": "+14155551234",
  "opted_out": true,
  "status": "OK"
}
Returns Examples
{
  "number": "+14155551234",
  "opted_out": true,
  "status": "OK"
}